Commit 5bc29157 authored by Joseph Weston's avatar Joseph Weston

replace jupyterlab_black with jupyterlab_code_formatter

The latter is the preferred package for Python 3.6+
parent 960511bb
......@@ -73,13 +73,14 @@ RUN conda env update -n root -f /environments/python3.yml && \
RUN jupyter nbextension enable --py --sys-prefix ipyparallel && \
jupyter nbextension enable --py --sys-prefix jupyter_cms && \
jupyter serverextension enable --sys-prefix jupyter_server_proxy && \
jupyter serverextension enable --py --sys-prefix jupyterlab_code_formatter && \
jupyter labextension install \
@jupyter-widgets/jupyterlab-manager \
@jupyterlab/katex-extension \
@jupyterlab/latex \
jupyterlab_bokeh \
@pyviz/jupyterlab_pyviz \
@ryantam626/jupyterlab_black \
@ryantam626/jupyterlab_code_formatter \
&& \
jupyter lab build # apparently jupyterlab-git needs this
......
......@@ -26,6 +26,7 @@ dependencies:
- jupyter-server-proxy
- jupytext
- jupyterlab-git
- jupyterlab_code_formatter
- line_profiler
- nbdime
- nbstripout
......@@ -55,4 +56,3 @@ dependencies:
- git+https://github.com/basnijholt/adaptive-tools
- qtplot
- python-gitlab
- git+https://github.com/ryantam626/jupyterlab_black
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment